=== debian/changelog ===
oolite (1.82-1) unstable; urgency=medium

  * New upstream release, splitting sound and images. License update.
  * Drop unneeded build dependency on gnustep-core-devel. Closes: #749453.
  * gnustep >= 2.6.6-1 does not need let_gnustep_handle_cflags.diff anymore.
  * watch: upstream migrated to github. Closes: #755994.
  * Repackage with Files-Excluded instead of cleaner script and git branch.
  * Reactivate libespeak support, see #591717.
  * Standards-Version: 3.9.6 (no changes).
  * debian/README: web page snippets that may be useful for users.
  * Provide a writable XDG_CONFIG_HOME to libreoffice when converting .odt
    to PDF, lowering the severity of #730893.
  * allow -Werror=format-security, default with gcc-5. Closes: #778039.
  * patches/avoid_date_cpp_macro.diff: for reproducible builds.
  * patches/avoid_infinite_recursion_in_verify_descriptions.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 03 Sep 2015 01:35:02 +0200
