=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/oolite-$1\.tar\.gz/ \
  https://github.com/OoliteProject/oolite/tags .*/v?(\d\S*)\.tar\.gz
