=== debian/changelog ===
oolite (1.84-1) unstable; urgency=medium

  * New upstream version. Patches:
   - Initialize NSDate before playing with threads. Closes: #833134.
     Thanks to Ivan Vučica and Richard Frith-Macdonald.
   - Simplify preprocessor variables data flow, fixing minor issues.
   - Generating manifest.plist even without Xcode.
   - Remove various GCC or lintian style warnings.
   - Merge two existing patches improving desktop file.
  * Enable all hardening flags.
  * Install docs as (good) .odt and (ugly) HTML, but no more as (bad) PDF.
  * Switch to uscan version: 4 and Standards-Version: 3.9.8.
  * GNUstep now set -g by default, remove related tricks.
  * No need to install README.source in binary packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Aug 2016 04:11:48 +0200

oolite (1.82-2) unstable; urgency=medium

  * README: avoid nvidia drivers without nvidia card. Closes: #702092.
  [ Petter Reinholdtsen <pere@hungry.com> ]
  * Add StrategyGame category to desktop file. Closes: #825680.
  [ Gianfranco Costamagna <locutusofborg@debian.org> ]
  * Make a cast explicit for glib-2.23. Closes: #818815.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 14:56:24 +0200
