=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  libsdl1.2-dev, libopenal-dev, libvorbis-dev, libespeak-dev,
  libminizip-dev,
@@ -10,8 +10,7 @@
 	libnspr4-dev, libmozjs185-dev,
 	libpng-dev, mesa-common-dev, gobjc,
         pkg-config
-Build-Depends-Indep: libreoffice-writer, fonts-liberation, fonts-dejavu,
- fonts-opensymbol
+Build-Depends-Indep: libreoffice-writer
 Homepage: http://www.oolite.org
 Vcs-Git: git://anonscm.debian.org/pkg-games/oolite.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/oolite.git
