=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Copyright (c) 2007-2009 Chris Crowther <hikari@hikari.org.uk>
 # Copyright (c) 2009      Darren Salt <linux@youmustbejoking.demon.co.uk>
 # Copyright (c) 2009      Michael Werle <micha@michaelwerle.com>
-# Copyright (c) 2010-2015 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2010-2016 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,12 +28,8 @@
 	dh $@
 
 # Debhelper, please, do not run make -f GNUmakefile without me.
-override_dh_auto_configure:
-override_dh_auto_build-arch:
-override_dh_auto_build-indep:
-override_dh_auto_test:
-override_dh_auto_install:
-override_dh_auto_clean::
+.PHONY: $(addprefix override_dh_auto_, \
+  configure build-arch build-indep test install clean)
 # We will never call the install upstream target, as GNUstep stores
 # arch-dep and arch-indep files together. Installing to debian/tmp and
 # splitting afterwards is much more complex than moving them once.
@@ -48,12 +44,8 @@
 GSMAKE += messages=yes
 # Display compilation flags to log checkers.
 
-# Usually, "debug=yes strip=no" would be enough, but upstream uses
-# "debug" to toggle many unrelated settings, for example libmozjs
-# debugging and stripping of the binary.
-GSMAKE += STRIP=/bin/true
-
 DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
 GSMAKE += $(foreach f,CFLAGS CPPFLAGS LDFLAGS OBJCFLAGS,"$(f)=$($(f))")
 
@@ -111,33 +103,38 @@
 	$(MAKE) $(GSMAKE) -C $(ICOSMESH_DIR) clean
 
 ######################################################################
+# Regenerating the PDF gives very ugly results even with
+# fonts-liberation, fonts-dejavu, fonts-opensymbol installed.
+# Recommended format in Debian is HTML.
+# However, we also install the sources which are often more pretty.
 # AdviceForNewCommanders.doc produces a better result than .odt.
-PDF_FROM_DOC := \
-  Doc/AdviceForNewCommanders.pdf
-PDF_FROM_ODT := \
-  Doc/OoliteReadMe.pdf \
-  Doc/OoliteRS.pdf
+HTML_FROM_DOC := \
+  Doc/AdviceForNewCommanders.html
+HTML_FROM_ODT := \
+  Doc/OoliteReadMe.html \
+  Doc/OoliteRS.html
 
 # Attempt to circumvent #730893.
 TMP_LOFFICE_HOME := $(CURDIR)/debian/tmp_loffice_config
-$(PDF_FROM_DOC) $(PDF_FROM_ODT): export XDG_CONFIG_HOME := $(TMP_LOFFICE_HOME)
-$(PDF_FROM_DOC) $(PDF_FROM_ODT): $(TMP_LOFFICE_HOME)
+$(HTML_FROM_DOC) $(HTML_FROM_ODT): export XDG_CONFIG_HOME := $(TMP_LOFFICE_HOME)
+$(HTML_FROM_DOC) $(HTML_FROM_ODT): $(TMP_LOFFICE_HOME)
 $(TMP_LOFFICE_HOME):
 	mkdir $@
 override_dh_auto_clean::
 	rm -fr $(TMP_LOFFICE_HOME)
 
-override_dh_auto_build-indep: $(PDF_FROM_DOC) $(PDF_FROM_ODT)
-$(PDF_FROM_DOC): %.pdf: %.doc
-	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
-$(PDF_FROM_ODT): %.pdf: %.odt
-	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
+override_dh_auto_build-indep: $(HTML_FROM_DOC) $(HTML_FROM_ODT)
+$(HTML_FROM_DOC): %.html: %.doc
+	libreoffice --headless --convert-to html --outdir $(dir $@) $<
+$(HTML_FROM_ODT): %.html: %.odt
+	libreoffice --headless --convert-to html --outdir $(dir $@) $<
 override_dh_auto_clean::
-	rm -f $(PDF_FROM_DOC) $(PDF_FROM_ODT)
+	rm -f $(HTML_FROM_DOC) $(HTML_FROM_ODT)
 
-######################################################################
 RESOURCES := oolite.app/Resources
 SOUNDS    := Music Sounds
+
+.PHONY: override_dh_install
 override_dh_install:
 	dh_install --package=oolite-data-sounds \
           $(addprefix $(RESOURCES)/,$(SOUNDS)) usr/share/oolite
@@ -145,8 +142,13 @@
 	dh_install --package=oolite-data \
           $(addprefix --exclude=$(RESOURCES)/,$(SOUNDS)) \
           $(RESOURCES)/* usr/share/oolite
+	dh_install --package=oolite-doc \
+	  $(HTML_FROM_DOC) $(subst .html,.doc,$(HTML_FROM_DOC)) \
+	  $(HTML_FROM_ODT) $(subst .html,.odt,$(HTML_FROM_ODT)) \
+	  usr/share/doc/oolite
 	dh_install --remaining-packages
 
 ######################################################################
+.PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs --all Doc/CHANGELOG.TXT
