=== debian/watch ===
version=4

opts=\
  filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/oolite-$1\.tar\.gz/ \
  https://github.com/OoliteProject/oolite/tags \
  .*/v?(\d\S*)@ARCHIVE_EXT@
